For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTLog to a Flow
      • PATCHUpdate Flow Log
      • GETGet Flow
      • DELDelete Flow
      • PATCHMove Flow
      • GETList Flows
      • POSTUpsert Flow
      • GETList Versions of a Flow
      • DELDelete Flow Version
      • PATCHUpdate Flow Version
      • POSTDeploy Flow
      • DELRemove Deployment
      • GETList a Flow's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIFlows

List Flows

GET
https://api.humanloop.com/v5/flows
GET
/v5/flows
$curl -G https://api.humanloop.com/v5/flows \
> -H "X-API-KEY: <apiKey>" \
> -d size=1
1{
2 "records": [
3 {
4 "path": "Personal Projects/MedQA",
5 "id": "fl_6o701g4jmcanPVHxdqD0O",
6 "attributes": {
7 "prompt": {
8 "template": "You are a helpful assistant helping with medical anamnesis",
9 "model": "gpt-4o",
10 "temperature": 0.8
11 },
12 "tool": {
13 "name": "retrieval_tool_v3",
14 "description": "Retrieval tool for MedQA.",
15 "source_code": "def retrieval_tool(question: str) -> str:\n pass\n"
16 }
17 },
18 "name": "MedQA Flow",
19 "version_id": "flv_7ZNQREaScH0JkhUwtXrLN",
20 "created_at": "2024-07-08T22:40:35.656915",
21 "updated_at": "2024-07-08T22:40:35.656915",
22 "last_used_at": "2024-07-08T22:40:35.656915",
23 "version_logs_count": 0,
24 "version_name": "medqa-flow-v1",
25 "version_description": "Initial version",
26 "type": "flow",
27 "environments": [
28 {
29 "id": "env_ffSVxEBzJcBZ1H5jcNMVj",
30 "created_at": "2023-06-27T23:16:07.992339",
31 "name": "development",
32 "tag": "default"
33 }
34 ],
35 "created_by": {
36 "id": "usr_01RJO1k2spBVqNUt1ASef",
37 "email_address": "raza@humanloop.com",
38 "full_name": "Raza Habib"
39 },
40 "evaluator_aggregates": null
41 }
42 ],
43 "page": 0,
44 "size": 1,
45 "total": 1
46}
Get a list of Flows.
Was this page helpful?
Previous

Upsert Flow

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Query parameters

pageintegerOptional>=1Defaults to 1
Page number for pagination.
sizeintegerOptional>=0Defaults to 10
Page size for pagination. Number of Flows to fetch.
namestringOptional

Case-insensitive filter for Flow name.

user_filterstringOptional

Case-insensitive filter for users in the Flow. This filter matches against both email address and name of users.

sort_byenumOptional
Field to sort Flows by
Allowed values:
orderenumOptional
Direction to sort by.
Allowed values:

Response

Successful Response
recordslist of objects
pageinteger
sizeinteger
totalinteger

Errors

422
List Flows Get Request Unprocessable Entity Error